﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.NavigationControls;

namespace Binner.ProjectManager.GraphicalUserInterface.Classes
{
    public partial class Test : System.Web.UI.Page
    {
        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            if (Session["Control"] != null)
            {
                Button nodeButton = new Button();
                nodeButton.ID = (string)Session["Control"];
                Panel panel1 = (Panel)Page.FindControl("Panel1");
                panel1.Controls.Add(nodeButton);
                nodeButton.Click += new EventHandler(tempButton_Click);
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected void WebDataTree1_NodeClick(object sender, DataTreeNodeClickEventArgs e)
        {
            if (Session["Control"] != null)
            {
                Panel panel1 = (Panel)Page.FindControl("Panel1");
                panel1.Controls.Clear();
            }

            // image a way more complex control with more events here
            // instead creating a new control, I actually load an existing user control with LoadControl(...), should be technically the same
            Button tempButton = new Button();
            

            tempButton.ID = e.Node.Value;
            Session["Control"] = tempButton.ID;
            Panel panel2 = (Panel)Page.FindControl("Panel1");
            panel2.Controls.Add(tempButton);
            tempButton.Text = e.Node.Value;
            tempButton.Click += new EventHandler(tempButton_Click);
        }

        void tempButton_Click(object sender, EventArgs e)
        {
            // never gets fired, you have to reinitiate the whole page to make this work
            int i = 0;
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
        }
    }
}